View Issue Details

IDProjectCategoryLast Update
0019298AI War 2[All Projects] GUIApr 20, 2019 4:21 pm
ReporterBadgerBadgerAssigned Tox4000Bughunter 
Severityminor 
Status resolvedResolutionfixed 
Product Version0.606 
Fixed in VersionBETA 0.852 Directness Is Better 
Summary0019298: No feedback for when a planet is recaptured (does it cost AIP?)
DescriptionIf the AI has recaptured a planet, there's no way in the UI to tell whether my destroying the command center will cost AIP. So if the AI reconquers a mix of captured/gate raided planets, it will be impossible to tell which ones I can take back without increasing AIP.

There needs to be some way of checking whether a command center is an Original AI one (costs progress) or a Recaptured one (no extra progress)
TagsNo tags attached.

Activities

BadgerBadger

Nov 15, 2017 11:29 pm

manager   ~0046605

Perhaps this information should be relayed in the "Planet Standing Orders" icon screen on the planet screen, and then some sort of flag we can query for the Galaxy screen? I can add the display mode if you tell me what to look for.

Dune

Jan 26, 2018 10:28 am

administrator   ~0046734

Keith can you provide the above information to Badger and then assign this case to Badger?

BadgerBadger

Aug 8, 2018 5:41 pm

manager   ~0048215

Last edited: Aug 8, 2018 5:42 pm

View 2 revisions

To show whether the local player would accrue AIP when capturing a planet, check

PlanetFaction pFaction = Planet.GetPlanetFactionForFaction(World_AIW2.Instance.GetLocalPlayerFaction());
if(pFaction.AIPLeftFromControlling > 0)
{
     //it will that much AIP to capture this
}

x4000Bughunter

Apr 20, 2019 4:21 pm

administrator   ~0051229

Thanks!

* Added a new "AI Reconquest Command Station," which is now what the AI will seed after taking back a planet during a reconquest wave.
** This acts just like the original command stations of the AI, with the following exceptions:
*** It has twice as much health and shielding.
*** It doesn't have any confusing messages about AIP going up if you destroy it (that already wasn't the case, but the interface made it sound like it did).
*** It can't be hacked for science extraction. Go build your own command station there if you want that science, sonny.
*** It doesn't grant any scouting intel when destroyed, so you can't use any exploity type of behavior to let the AI take a planet back and then destroy the reconquest station in order to get more scouting intel AIP-free.
** Note that in existing savegames, any existing command stations the AI put there because of reconquest will still be of the original sort. So you won't see this until the AI does a reconquest wave in this version or newer.
** Fun fact, the humans-don't-autotarget-this rules are still the same here, for now at least, but this can be changed in xml if we really want to. We left this not because of an AIP cost (which is why the original has it), but because there might be a very valid reason you want to let the AI keep the planet (aka them wasting reinforcements on a planet that has been neutered). So having your ships go into auto-kill mode would probably break some valid advanced strategies.

Issue History

Date Modified Username Field Change
Nov 15, 2017 11:27 pm BadgerBadger New Issue
Nov 15, 2017 11:29 pm BadgerBadger Note Added: 0046605
Jan 26, 2018 10:15 am Dune Assigned To => keith.lamothe
Jan 26, 2018 10:15 am Dune Status new => assigned
Jan 26, 2018 10:28 am Dune Note Added: 0046734
Apr 12, 2018 5:14 pm x4000Bughunter Assigned To keith.lamothe => x4000Bughunter
Aug 8, 2018 5:41 pm BadgerBadger Note Added: 0048215
Aug 8, 2018 5:42 pm BadgerBadger Note Edited: 0048215 View Revisions
Apr 20, 2019 4:21 pm x4000Bughunter Status assigned => resolved
Apr 20, 2019 4:21 pm x4000Bughunter Resolution open => fixed
Apr 20, 2019 4:21 pm x4000Bughunter Fixed in Version => BETA 0.852 Directness Is Better
Apr 20, 2019 4:21 pm x4000Bughunter Note Added: 0051229